Name:           old-user-switch-applet
Version:        2.20.0
Release:        6%{?dist}
Summary:        A panel applet for user-switching 
Group:          User Interface/Desktops
License:        GPLv2+
Source0:        ftp://download.gnome.org/sources/fast-user-switch-applet/2.18/fast-user-switch-applet-%{version}.tar.bz2
Source1:        fast-user-switch-applet.desktop
# http://bugzilla.gnome.org/show_bug.cgi?id=402475
Patch0:         fast-user-switch-applet-2.20.0-username.patch
Patch1:         fast-user-switch-applet-2.17.3-defaults.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=421080
Patch2:		startx.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=421090
Patch3:		no-session.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=412541 
Patch5:		fast-user-switch-applet-2.17.4-socket-check.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=477639
Patch6:		throttle.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=477656
Patch7:		error-dialog.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=477666
Patch8:		many-users.patch
Patch9:		fast-user-switch-applet-2.20.0-pkgconf-gnomeui.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: gnome-panel-devel
BuildRequires: GConf2
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: perl(XML::Parser)
BuildRequires: gnome-doc-utils
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXmu-devel

# for /etc/gconf/schemas
Requires: GConf2
# for /lib/bonobo/servers
Requires: libbonobo

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Obsoletes: gdm-user-switch-applet
Provides:  gdm-user-switch-applet = %{epoch}:%{version}-%{release}

%description
The Fast User Switch Applet is an applet for the GNOME panel which allows
for menu-based user-switching.

%prep
%setup -q -n fast-user-switch-applet-%{version}
%patch0 -p1 -b .username
%patch1 -p1 -b .defaults
%patch2 -p1 -b .startx
%patch3 -p1 -b .no-session
%patch5 -p1 -b .socket-check
%patch6 -p1 -b .throttle
%patch7 -p1 -b .error-dialog
%patch8 -p1 -b .many-users
%patch9 -p1 -b .pkgconf-gnomeui
autoconf

%build
%configure --disable-scrollkeeper \
	--with-users-admin=/usr/bin/system-config-users \
	--with-gdm-setup=/usr/bin/gdmsetup \
	--with-gdm-config=/etc/gdm/custom.conf
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/fast-user-switch-applet.desktop

%find_lang fast-user-switch-applet --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` || :
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas \
	>& /dev/null || :
fi
 
%post
scrollkeeper-update -q || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` || :
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas \
	>& /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` || :
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas \
	>& /dev/null || :
fi
 
%postun


%files -f fast-user-switch-applet.lang
%defattr(-,root,root,-)
%{_libexecdir}/fast-user-switch-applet
%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas
%{_sysconfdir}/xdg/autostart/fast-user-switch-applet.desktop
%{_libdir}/bonobo/servers/GNOME_FastUserSwitchApplet.server
%{_datadir}/fast-user-switch-applet
%{_datadir}/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml
%{_datadir}/omf/fast-user-switch-applet

%changelog
* Fri Jul 10 2009 Philippe Troin <phil@fifi.org> - 2.20.0-6
- Fix mode on /etc/xdg/autostart/fast-user-switch-applet.desktop.

* Tue Jul  7 2009 Philippe Troin <phil@fifi.org> - 2.20.0-5
- Add an autostart entry.

* Tue Jun 30 2009 Philippe Troin <phil@fifi.org> - 2.20.0-4
- Renamed to old-user-switch-applet to avoid the obsolete from gdm-user-switch-applet.

* Mon Jun 29 2009 Philippe Troin <phil@fifi.org> - 2.20.0-3
- Need a pkgconfig dependency on libgnomeui.

* Mon Apr  6 2009 Philippe Troin <phil@fifi.org> - 2.20.0-1
- Rebuild for F10 as the backported from F8 gdm does not come with a switch applet.

* Tue Sep 18 2007 Matthias Clasen <mclasen@redhat.com> 2.20.0-1
- Update to 2.20.0

* Sun Sep 16 2007 Matthias Clasen <mclasen@redhat.com> 2.18.0-3 
- Don't try to throttle gnome-screensaver (#246188)
- Make the close button on the error dialog work
- Make the handling of large numbers of users more efficient (#353831)

* Mon Aug  6 2007 Matthias Clasen <mclasen@redhat.com> 2.18.0-2
- Use %%find_lang for help files, too

* Sun May 20 2007 Matthias Clasen <mclasen@redhat.com> 2.18.0-1
- Update to 2.18.0

* Fri Mar 30 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-4
- Add bugzilla information to the .server file
- Fix a bug in the gdm socket check 

* Wed Mar 28 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-3
- Fix the startx patch to actually work when gdm is present

* Mon Mar 26 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-2
- Silently do nothing when gdm is not running
- Don't register with the session manager

* Tue Feb 27 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-1
- Update to 2.17.4

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> 2.17.3-3
- Set better defaults 

* Tue Feb  6 2007 Matthias Clasen <mclasen@redhat.com> 2.17.3-2
- Add a patch to improve the fast user switching experience

* Wed Dec  6 2006 Matthias Clasen <mclasen@redhat.com> 2.17.3-1
- Update to 2.17.3

* Thu Oct 19 2006 Matthias Clasen <mclasen@redhat.com> 2.17.1-1
- Initial revision
